import type { DeployOptions, HotswapProperties } from '..';
import { HotswapPropertyOverrides } from '../../../api/shared-private';
import type { Deployments, WorkGraph } from '../../../api/shared-private';
export declare function buildParameterMap(parameters?: Map<string, string | undefined>): {
    [name: string]: {
        [name: string]: string | undefined;
    };
};
/**
 * Remove the asset publishing and building from the work graph for assets that are already in place
 */
export declare function removePublishedAssetsFromWorkGraph(graph: WorkGraph, deployments: Deployments, options: DeployOptions): Promise<void>;
/**
 * Create the HotswapPropertyOverrides class out of the Interface exposed to users
 */
export declare function createHotswapPropertyOverrides(hotswapProperties: HotswapProperties): HotswapPropertyOverrides;
